org.apache.fop.render.rtf.rtflib.rtfdoc

## Class RtfPage

- java.lang.Object
- - org.apache.fop.render.rtf.rtflib.rtfdoc.RtfElement
  - - org.apache.fop.render.rtf.rtflib.rtfdoc.RtfContainer
    - - org.apache.fop.render.rtf.rtflib.rtfdoc.RtfPage

    public class RtfPage
    extends RtfContainer

Specifies rtf control words. Is the container for page attributes. Overrides okToWriteRtf.

This work was authored by Christopher Scott (scottc@westinghouse.com).

### Field Summary

Fields
`static String` `FOOTERY` constant for footer position
`static String` `HEADERY` constant for header position
`static String` `ITAP` constant for itap level
`static String` `LANDSCAPE` constant for landscape format
`static String` `MARGIN_BOTTOM` constant for bottom margin
`static String` `MARGIN_LEFT` constant for left margin
`static String` `MARGIN_RIGHT` constant for right margin
`static String` `MARGIN_TOP` constant for top margin
`static String[]` `PAGE_ATTR` String array of RtfPage attributes
`static String` `PAGE_HEIGHT` constant for page height
`static String` `PAGE_WIDTH` constant for page width

### Fields inherited from class org.apache.fop.render.rtf.rtflib.rtfdoc.RtfElement

`parent, writer`

### Method Summary

All Methods Instance Methods Concrete Methods
`RtfAttributes` `getAttributes()` RtfPage - attributes accessor
`protected boolean` `okToWriteRtf()` RtfPage - is overwritten here because page attributes have no content only attributes.
`protected void` `writeRtfContent()` RtfPage writes the attributes the attributes contained in the string PAGE_ATTR, if not null

### Methods inherited from class org.apache.fop.render.rtf.rtflib.rtfdoc.RtfContainer

`addChild, findChildren, getChildCount, getChildren, isEmpty, setChildren, setOptions, toString`

### Methods inherited from class org.apache.fop.render.rtf.rtflib.rtfdoc.RtfElement

`close, getParentOfClass, getRtfAttributes, newLine, writeAttributes, writeControlWord, writeControlWordNS, writeExceptionInRtf, writeGroupMark, writeOneAttribute, writeOneAttributeNS, writeRtf, writeRtfPrefix, writeRtfSuffix, writeStarControlWord, writeStarControlWordNS`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### PAGE_WIDTH

    public static final String PAGE_WIDTH

constant for page width

See Also:
  Constant Field Values

#### PAGE_HEIGHT

    public static final String PAGE_HEIGHT

constant for page height

See Also:
  Constant Field Values

#### LANDSCAPE

    public static final String LANDSCAPE

constant for landscape format

See Also:
  Constant Field Values

#### MARGIN_TOP

    public static final String MARGIN_TOP

constant for top margin

See Also:
  Constant Field Values

#### MARGIN_BOTTOM

    public static final String MARGIN_BOTTOM

constant for bottom margin

See Also:
  Constant Field Values

#### MARGIN_LEFT

    public static final String MARGIN_LEFT

constant for left margin

See Also:
  Constant Field Values

#### MARGIN_RIGHT

    public static final String MARGIN_RIGHT

constant for right margin

See Also:
  Constant Field Values

#### HEADERY

    public static final String HEADERY

constant for header position

See Also:
  Constant Field Values

#### FOOTERY

    public static final String FOOTERY

constant for footer position

See Also:
  Constant Field Values

#### ITAP

    public static final String ITAP

constant for itap level

See Also:
  Constant Field Values

#### PAGE_ATTR

    public static final String[] PAGE_ATTR

String array of RtfPage attributes

### Method Detail

#### writeRtfContent

    protected void writeRtfContent()
                            throws IOException

RtfPage writes the attributes the attributes contained in the string PAGE_ATTR, if not null

Overrides:
  `writeRtfContent` in class `RtfContainer`
Throws:
  `IOException` - for I/O problems

#### getAttributes

    public RtfAttributes getAttributes()

RtfPage - attributes accessor

Returns:
  attributes

#### okToWriteRtf

    protected boolean okToWriteRtf()

RtfPage - is overwritten here because page attributes have no content only attributes. RtfContainer is defined not to write when empty. Therefore must make this true to print.

Overrides:
  `okToWriteRtf` in class `RtfContainer`
Returns:
  true